<?php

//        # Copyright (C) 2012-2013 GNU remotecontrol authors.
//        #
//        # This program is free software: you can redistribute it and/or modify
//        # it under the terms of the GNU Affero General Public License as
//        # published by the Free Software Foundation, either version 3 of the
//        # License, or (at your option) any later version.
//        #
//        # This program is distributed in the hope that it will be useful,
//        # but WITHOUT ANY WARRANTY; without even the implied warranty of
//        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//        # GNU Affero General Public License for more details.
//        #
//        # You should have received a copy of the GNU Affero General Public License
//        # along with this program.  If not, see <http://www.gnu.org/licenses/>.

    class SessionHandling
    {
       public function __construct() {
	    $this->_startSession();    
       }
       
       public function getCurrentUser()
       {
           return $_SESSION['User'];
       }
       
       protected function _startSession()
       {
	    if (!isset($_SESSION))
            {
                session_start();
            }
	    if (!isset($_SERVER['PHP_AUTH_USER'])) {
		header("WWW-Authenticate: Basic realm=\"Private Area\"");
		header("HTTP/1.0 401 Unauthorized");
		print "Sorry - you need valid credentials granted access to the private area!\n";
		exit;
	    }
	    @$currentUser = new User($_SERVER['PHP_AUTH_USER']);
	    $_SESSION['User'] = $currentUser;
	    
       }
    }

?>
